списать захолдированные денежные средства
PATCH/services/:service_id/charges/:charge_id/blocked
списать захолдированные денежные средства
Request
Path Parameters
- application/json
Body
сумма
Responses
- 200
- 400
- 401
- 404
- 429
- 498
OK
- application/json
- Schema
- Example (from schema)
- Charged
- Insufficient Funds
- Unknown Error Code
- Operation Declined
- Foreign Card Operation Is Unavailable
- Payment Is Blocked
- Payment Is Blocked As Potential Fraud
- Payment Declined
- 3DS Authorisation Error
- Limit Exceeded
- Card Has Expired
- Invalid Card Number
Schema
Possible values: [insufficient_funds, unknown_error_code, operation_declined, foreign_card_operation_is_unavailable, payment_is_blocked, payment_is_blocked_as_potential_fraud, payment_declined, 3ds_authorisation_error, limit_exceeded, card_has_expired, invalid_card_number]
описание результата, стоит обращать внимание при ошибке
Possible values: [charged, voided, error]
статус холдирования
{
"status": "charged",
"decline_code": "insufficient_funds",
"message": "string",
"info": "string"
}
{
"status": "charged"
}
{
"status": "error",
"decline_code": "insufficient_funds",
"message": "Недостаточно средств на карте, пополните или используйте другую",
"info": "Not sufficient funds"
}
{
"status": "error",
"decline_code": "unknown_error_code",
"message": "Неизвестный код ошибки, обратитесь в поддержку",
"info": "Internal error"
}
{
"status": "error",
"decline_code": "operation_declined",
"message": "Операция отклонена, попробуйте операцию оплату или обратитесь в поддержку",
"info": "Authentication timeout"
}
{
"status": "error",
"decline_code": "foreign_card_operation_is_unavailable",
"message": "Операция по иностранной карте недоступна. Воспользуйтесь картой российского банка или обратитесь в поддержку"
}
{
"status": "error",
"decline_code": "payment_is_blocked",
"message": "Оплата заблокирована, обратитесь в банк, выпустивший карту.",
"info": "Transaction not permitted to card"
}
{
"status": "error",
"decline_code": "payment_is_blocked_as_potential_fraud",
"message": "Оплата заблокирована, подозрение на мошенническую транзакцию. Обратитесь в банк, выпустивший карту.",
"info": "Suspected fraud"
}
{
"status": "error",
"decline_code": "payment_declined",
"message": "Оплата отклонена, попробуйте повторить оплату или обратитесь в поддержку",
"info": "Payment not allowed (3DSecure)"
}
{
"status": "error",
"decline_code": "3ds_authorisation_error",
"message": "Ошибка 3DS авторизации",
"info": "Not found TDS Version by TdsServerTransId and OrderId"
}
{
"status": "error",
"decline_code": "limit_exceeded",
"message": "Превышение лимита на операции по карте, обратитесь в банк, выпустивший карту",
"info": "Exceeds withdrawal limit"
}
{
"status": "error",
"decline_code": "card_has_expired",
"message": "Срок карты истек, обратитесь в банк, выпустивший карту",
"info": "Expired card"
}
{
"status": "error",
"decline_code": "invalid_card_number",
"message": "Указан несуществующий номер карты",
"info": "Card number does not exist"
}
Bad Request
- application/json
- Schema
- Example (from schema)
- BadRequest
- InvalidParameterValue
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "missing_required_request_parameter",
"message": "Отсутствует обязательный параметр запроса"
}
{
"code": "invalid_parameter_value",
"message": "Некорректный параметр запроса"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Unauthorized
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "unauthorized",
"message": "Ошибка аутентификации"
}
Not Found
- application/json
- Schema
- Example (from schema)
- NotFound
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "resource_not_found",
"message": "Запрашиваемая информация не найдена"
}
Too Many Requests
- application/json
- Schema
- Example (from schema)
- Too Many Requests
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "too_many_requests",
"message": "Превышено ограничение на количество запросов в секунду"
}
Invalid Token
- application/json
- Schema
- Example (from schema)
- Bad Invoice Id
- No Service Id
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Вы не можете проводить операцию для этого invoice_id",
"info": "Invoice in JWT token doesn't match invoice from URL"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Идентификатор service_id в теле токена не может быть пустым",
"info": "JWT token must contain service_id"
}